WATCH-MIMEDEFANG(8)

NAME
watch-mimedefang - Keep an eye on mimedefang-multiplexor

SYNOPSIS
watch-mimedefang [options]

DESCRIPTION
watch-mimedefang is a Tk script which graphically displays the status of mimedefang-multiplexor(8). Note that Tcl/Tk 8.0 or higher is required to run watch-mimedefang.

DISPLAY

watch-mimedefang's display is divided into three main areas, from top to bottom:

o   The graph display shows six graphs representing various statistics about the multiplexor.

o   The control area shows the maximum number of workers, number of busy workers, and number of idle workers. The "Control Command" text entry lets you monitor remote MIMEDefang servers; see "REMOTE MONITORING" for details.

    The "10s", "1m", "5m" and "10m" checkboxes allow you to enable or disable the graphing of statistics averaged over the last 10 seconds, 1 minute, 5 minutes and 10 minutes.

    The "Reread Filters" button forces the multiplexor to reread filter rules. The "Quit" button terminates watch-mimedefang.

o   The scale at the bottom lets you change the update interval (default 500ms). Be aware that frequent updating may make watch-mimedefang consume a significant fraction of CPU time.

THE GRAPH AREA

The graph area contains six graphs:

o Busy Workers
    This graph shows the number of busy workers each time the statistics are sampled.

o Workers/scan
    This graph shows the average number of busy workers each time a message was scanned. The red plot shows the average over the last ten seconds, the blue plot shows the average over the last minute, and the green and yellow plots show the average over the last five and ten minutes, respectively.

o Latency (ms)
    This graph shows the average time taken by each SCAN command over the last ten seconds, one minute, five minutes and ten minutes.

o Messages/s
    This graph shows the average number of messages per second that were scanned.

o Activations/s
    This graph shows the average number of new workers activated per second.

o Reaps/s
    This graph shows the average number of workers that have terminated per second.

    If the Activations and Reaps increase significantly, it could indicate heavy load, or an error causing filters to terminate abnormally.

    If only Activations increase, then it probably indicates a sudden increase in e-mail volume.

    If only Reaps increase, then it probably indicates a quiet time just after a period of heavy mail volume.

You can enable or disable the ten second, one minute, five minute or ten minute plots by clicking on the "10s", "1m", "5m" or "10m" checkbox.

REMOTE MONITORING

Running watch-mimedefang on your actual mail server poses two problems: You need Tcl/Tk and the X client libraries installed, and the CPU consumption of watch-mimedefang can be considerable.

A better method is to run watch-mimedefang on a desktop machine, but have it monitor the mail server with a remote session.

The best way to establish a remote session is via SSH. For example, if you are running MIMEDefang on "mail.mydomain.net", you can type the following into the Control Command entry box and press enter:

	ssh root@mail.mydomain.net md-mx-ctrl

You must have a public/private key for the target machine and you must be running ssh-agent or equivalent; you cannot use an ssh command that requires entry of a password or passphrase.

Assuming your SSH setup is correct, watch-mimedefang will open an SSH connection to mail.mydomain.net and exchange low-bandwith information over that session for monitoring purposes.

COMMAND-LINE OPTIONS

watch-mimedefang accepts the following command-line options:

-command cmd
    Use cmd as the control command. You may need to quote cmd

-interval msec
    Set the update interval to msec milliseconds.

-10s flag
    Enable the "10s" graph plot if flag is 1, or disable it if flag is 0.

-1m flag
    Enable the "1m" graph plot if flag is 1, or disable it if flag is 0.

-5m flag
    Enable the "5m" graph plot if flag is 1, or disable it if flag is 0.

-10m flag
    Enable the "10m" graph plot if flag is 1, or disable it if flag is 0.

-title string
    Add string to the title of the main window.

-help
    Print usage information.

EXAMPLE

As an example, to monitor MIMEDefang on the machine "mail.mydomain.net" updating once a second, with the 5m and 10m plots turned off, use:

    watch-mimedefang -command 'ssh root@mail.mydomain.net md-mx-ctrl' \
                     -interval 1000 -5m 0 -10m 0 -title "mail"

AUTHOR
watch-mimedefang was written by Dianne Skoll <dfs@roaringpenguin.com>. The mimedefang home page is https://www.mimedefang.org/.

PERMISSIONS
watch-mimedefang uses md-mx-ctrl; therefore, it probably needs to be run as root or the same user as mimedefang-multiplexor, or (if you are monitoring a remote machine), the SSH connection must be done as root or the MIMEDefang user.

SEE ALSO
mimedefang.pl(8), mimedefang-filter(5), mimedefang(8), mimedefang-protocol(7), md-mx-ctrl(8), watch-multiple-mimedefangs(8)